/**
 * Dashboard API
 * Dashboard API documentation
 *
 * The version of the OpenAPI document: 1.0.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { JwtBlockchainAccount } from './JwtBlockchainAccount';
import { JwtPayloadDeprecatedInfo } from './JwtPayloadDeprecatedInfo';
import { JwtVerifiedCredential } from './JwtVerifiedCredential';
import { JwtVerifiedCredentialHashes } from './JwtVerifiedCredentialHashes';
import { ProjectSettingsKyc } from './ProjectSettingsKyc';
/**
 *
 * @export
 * @interface DynamicJwt
 */
export interface DynamicJwt {
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    kid: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    aud: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    iss: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    sub: string;
    /**
     *
     * @type {number}
     * @memberof DynamicJwt
     */
    exp?: number;
    /**
     *
     * @type {number}
     * @memberof DynamicJwt
     */
    iat?: number;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    sid: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    sessionPublicKey?: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    alias?: string;
    /**
     *
     * @type {Array<JwtBlockchainAccount>}
     * @memberof DynamicJwt
     */
    blockchainAccounts?: Array<JwtBlockchainAccount>;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    country?: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    email?: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    environmentId: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    familyName?: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    givenName?: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    jobTitle?: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    lastAuthenticatedAccountId?: string;
    /**
     *
     * @type {Array<string>}
     * @memberof DynamicJwt
     */
    lists?: Array<string>;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    phoneNumber?: string;
    /**
     *
     * @type {Array<ProjectSettingsKyc>}
     * @memberof DynamicJwt
     */
    missingFields: Array<ProjectSettingsKyc>;
    /**
     * A whitespace-separate list of permissions associated with the JWT token issued. This conforms to the JWT standard for scope claims: https://datatracker.ietf.org/doc/html/rfc8693#section-4.2
     * @type {string}
     * @memberof DynamicJwt
     */
    scope?: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    tShirtSize?: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    team?: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    username?: string;
    /**
     *
     * @type {boolean}
     * @memberof DynamicJwt
     */
    policiesConsent?: boolean;
    /**
     *
     * @type {JwtBlockchainAccount}
     * @memberof DynamicJwt
     */
    verifiedAccount?: JwtBlockchainAccount;
    /**
     *
     * @type {Array<JwtVerifiedCredential>}
     * @memberof DynamicJwt
     */
    verifiedCredentials: Array<JwtVerifiedCredential>;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    lastVerifiedCredentialId: string;
    /**
     *
     * @type {Date}
     * @memberof DynamicJwt
     */
    firstVisit?: Date;
    /**
     *
     * @type {Date}
     * @memberof DynamicJwt
     */
    lastVisit?: Date;
    /**
     *
     * @type {boolean}
     * @memberof DynamicJwt
     */
    newUser?: boolean;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    btcWallet?: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    kdaWallet?: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    ltcWallet?: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    ckbWallet?: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    kasWallet?: string;
    /**
     *
     * @type {string}
     * @memberof DynamicJwt
     */
    dogeWallet?: string;
    /**
     *
     * @type {boolean}
     * @memberof DynamicJwt
     */
    emailNotification?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof DynamicJwt
     */
    discordNotification?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof DynamicJwt
     */
    newsletterNotification?: boolean;
    /**
     *
     * @type {object}
     * @memberof DynamicJwt
     */
    metadata?: object;
    /**
     *
     * @type {JwtVerifiedCredentialHashes}
     * @memberof DynamicJwt
     */
    verifiedCredentialsHashes?: JwtVerifiedCredentialHashes;
    /**
     *
     * @type {JwtPayloadDeprecatedInfo}
     * @memberof DynamicJwt
     */
    info?: JwtPayloadDeprecatedInfo;
}
export declare function DynamicJwtFromJSON(json: any): DynamicJwt;
export declare function DynamicJwtFromJSONTyped(json: any, ignoreDiscriminator: boolean): DynamicJwt;
export declare function DynamicJwtToJSON(value?: DynamicJwt | null): any;
