/**
 * Dashboard API
 * Dashboard API documentation
 *
 * The version of the OpenAPI document: 1.0.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { JwtVerifiedCredentialFormatEnum } from './JwtVerifiedCredentialFormatEnum';
import { NameServiceData } from './NameServiceData';
import { ProviderEnum } from './ProviderEnum';
import { WalletAdditionalAddress } from './WalletAdditionalAddress';
import { WalletProperties } from './WalletProperties';
import { WalletProviderEnum } from './WalletProviderEnum';
/**
 *
 * @export
 * @interface JwtVerifiedCredential
 */
export interface JwtVerifiedCredential {
    /**
     * Valid blockchain wallet address, must be an alphanumeric string without any special characters
     * @type {string}
     * @memberof JwtVerifiedCredential
     */
    address?: string;
    /**
     *
     * @type {string}
     * @memberof JwtVerifiedCredential
     */
    chain?: string;
    /**
     *
     * @type {string}
     * @memberof JwtVerifiedCredential
     */
    refId?: string;
    /**
     *
     * @type {string}
     * @memberof JwtVerifiedCredential
     */
    signerRefId?: string;
    /**
     *
     * @type {string}
     * @memberof JwtVerifiedCredential
     */
    email?: string;
    /**
     *
     * @type {string}
     * @memberof JwtVerifiedCredential
     */
    id: string;
    /**
     *
     * @type {NameServiceData}
     * @memberof JwtVerifiedCredential
     */
    nameService?: NameServiceData;
    /**
     * This is used to publicly identify a verified credential in a human-friendly way. For example, this will be the email address if credential format=email.
     * @type {string}
     * @memberof JwtVerifiedCredential
     */
    publicIdentifier?: string;
    /**
     *
     * @type {string}
     * @memberof JwtVerifiedCredential
     */
    walletName?: string;
    /**
     *
     * @type {WalletProviderEnum}
     * @memberof JwtVerifiedCredential
     */
    walletProvider?: WalletProviderEnum;
    /**
     *
     * @type {WalletProperties}
     * @memberof JwtVerifiedCredential
     */
    walletProperties?: WalletProperties;
    /**
     *
     * @type {JwtVerifiedCredentialFormatEnum}
     * @memberof JwtVerifiedCredential
     */
    format: JwtVerifiedCredentialFormatEnum;
    /**
     *
     * @type {ProviderEnum}
     * @memberof JwtVerifiedCredential
     */
    oauthProvider?: ProviderEnum;
    /**
     *
     * @type {string}
     * @memberof JwtVerifiedCredential
     */
    oauthUsername?: string;
    /**
     *
     * @type {string}
     * @memberof JwtVerifiedCredential
     */
    oauthDisplayName?: string | null;
    /**
     *
     * @type {string}
     * @memberof JwtVerifiedCredential
     */
    oauthAccountId?: string | null;
    /**
     * This field contains the phone number in the country. This could also contain the area code within a country.
     * @type {string}
     * @memberof JwtVerifiedCredential
     */
    phoneNumber?: string;
    /**
     * This field contains the phone international country code. See https://countrycode.org/
     * @type {string}
     * @memberof JwtVerifiedCredential
     */
    phoneCountryCode?: string;
    /**
     * ISO-3166 two-character country code. See https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes
     * @type {string}
     * @memberof JwtVerifiedCredential
     */
    isoCountryCode?: string;
    /**
     *
     * @type {Array<string>}
     * @memberof JwtVerifiedCredential
     */
    oauthAccountPhotos?: Array<string>;
    /**
     *
     * @type {Array<string>}
     * @memberof JwtVerifiedCredential
     */
    oauthEmails?: Array<string>;
    /**
     * This object contains JSON metadata for a social-based verified credential. It may contain data about the user that does not fit into the other structured fields, and could include arbitrary fields about the user from the oauth provider's API.
     * @type {object}
     * @memberof JwtVerifiedCredential
     */
    oauthMetadata?: object;
    /**
     * This will only be provided in the responses for GET /users/{userId}.Previous user IDs that owned this verified credential and was tranfered to the current user ID.
     * @type {Array<string>}
     * @memberof JwtVerifiedCredential
     */
    previousUsers?: Array<string>;
    /**
     *
     * @type {string}
     * @memberof JwtVerifiedCredential
     */
    embeddedWalletId?: string | null;
    /**
     *
     * @type {Array<WalletAdditionalAddress>}
     * @memberof JwtVerifiedCredential
     */
    walletAdditionalAddresses?: Array<WalletAdditionalAddress>;
    /**
     * This timestamp indicates the last time this verified wallet was either connected to the user account or selected to become the primary wallet on the account.
     * @type {Date}
     * @memberof JwtVerifiedCredential
     */
    lastSelectedAt?: Date;
    /**
     * This indicates if the user can sign in with this credential
     * @type {boolean}
     * @memberof JwtVerifiedCredential
     */
    signInEnabled: boolean;
}
export declare function JwtVerifiedCredentialFromJSON(json: any): JwtVerifiedCredential;
export declare function JwtVerifiedCredentialFromJSONTyped(json: any, ignoreDiscriminator: boolean): JwtVerifiedCredential;
export declare function JwtVerifiedCredentialToJSON(value?: JwtVerifiedCredential | null): any;
