'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var runtime = require('../runtime.cjs');
var JwtVerifiedCredentialHashes = require('./JwtVerifiedCredentialHashes.cjs');

/* tslint:disable */
function MinifiedDynamicJwtFromJSON(json) {
    return MinifiedDynamicJwtFromJSONTyped(json);
}
function MinifiedDynamicJwtFromJSONTyped(json, ignoreDiscriminator) {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        'kid': json['kid'],
        'aud': json['aud'],
        'iss': json['iss'],
        'sub': json['sub'],
        'sid': json['sid'],
        'exp': !runtime.exists(json, 'exp') ? undefined : json['exp'],
        'iat': !runtime.exists(json, 'iat') ? undefined : json['iat'],
        'environmentId': json['environment_id'],
        'lastVerifiedCredentialId': json['last_verified_credential_id'],
        'scope': !runtime.exists(json, 'scope') ? undefined : json['scope'],
        'verifiedCredentialsHashes': !runtime.exists(json, 'verifiedCredentialsHashes') ? undefined : JwtVerifiedCredentialHashes.JwtVerifiedCredentialHashesFromJSON(json['verifiedCredentialsHashes']),
        'email': !runtime.exists(json, 'email') ? undefined : json['email'],
        'username': !runtime.exists(json, 'username') ? undefined : json['username'],
    };
}
function MinifiedDynamicJwtToJSON(value) {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        'kid': value.kid,
        'aud': value.aud,
        'iss': value.iss,
        'sub': value.sub,
        'sid': value.sid,
        'exp': value.exp,
        'iat': value.iat,
        'environment_id': value.environmentId,
        'last_verified_credential_id': value.lastVerifiedCredentialId,
        'scope': value.scope,
        'verifiedCredentialsHashes': JwtVerifiedCredentialHashes.JwtVerifiedCredentialHashesToJSON(value.verifiedCredentialsHashes),
        'email': value.email,
        'username': value.username,
    };
}

exports.MinifiedDynamicJwtFromJSON = MinifiedDynamicJwtFromJSON;
exports.MinifiedDynamicJwtFromJSONTyped = MinifiedDynamicJwtFromJSONTyped;
exports.MinifiedDynamicJwtToJSON = MinifiedDynamicJwtToJSON;
