import { exists } from '../runtime.js';
import { JwtVerifiedCredentialHashesFromJSON, JwtVerifiedCredentialHashesToJSON } from './JwtVerifiedCredentialHashes.js';

/* tslint:disable */
function MinifiedDynamicJwtFromJSON(json) {
    return MinifiedDynamicJwtFromJSONTyped(json);
}
function MinifiedDynamicJwtFromJSONTyped(json, ignoreDiscriminator) {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        'kid': json['kid'],
        'aud': json['aud'],
        'iss': json['iss'],
        'sub': json['sub'],
        'sid': json['sid'],
        'exp': !exists(json, 'exp') ? undefined : json['exp'],
        'iat': !exists(json, 'iat') ? undefined : json['iat'],
        'environmentId': json['environment_id'],
        'lastVerifiedCredentialId': json['last_verified_credential_id'],
        'scope': !exists(json, 'scope') ? undefined : json['scope'],
        'verifiedCredentialsHashes': !exists(json, 'verifiedCredentialsHashes') ? undefined : JwtVerifiedCredentialHashesFromJSON(json['verifiedCredentialsHashes']),
        'email': !exists(json, 'email') ? undefined : json['email'],
        'username': !exists(json, 'username') ? undefined : json['username'],
    };
}
function MinifiedDynamicJwtToJSON(value) {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        'kid': value.kid,
        'aud': value.aud,
        'iss': value.iss,
        'sub': value.sub,
        'sid': value.sid,
        'exp': value.exp,
        'iat': value.iat,
        'environment_id': value.environmentId,
        'last_verified_credential_id': value.lastVerifiedCredentialId,
        'scope': value.scope,
        'verifiedCredentialsHashes': JwtVerifiedCredentialHashesToJSON(value.verifiedCredentialsHashes),
        'email': value.email,
        'username': value.username,
    };
}

export { MinifiedDynamicJwtFromJSON, MinifiedDynamicJwtFromJSONTyped, MinifiedDynamicJwtToJSON };
