'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var runtime = require('../runtime.cjs');
var EmbeddedWalletSecurityMethod = require('./EmbeddedWalletSecurityMethod.cjs');
var FeatureFlags = require('./FeatureFlags.cjs');
var Funding = require('./Funding.cjs');
var MobileSettings = require('./MobileSettings.cjs');
var NameServiceSdkSettings = require('./NameServiceSdkSettings.cjs');
var ProjectSettingsSdkAccountAbstraction = require('./ProjectSettingsSdkAccountAbstraction.cjs');
var ProjectSettingsSdkEmailSignIn = require('./ProjectSettingsSdkEmailSignIn.cjs');
var ProjectSettingsSdkEmbeddedWallets = require('./ProjectSettingsSdkEmbeddedWallets.cjs');
var ProjectSettingsSdkSocialSignIn = require('./ProjectSettingsSdkSocialSignIn.cjs');
var ProjectSettingsSdkWaas = require('./ProjectSettingsSdkWaas.cjs');
var ProjectSettingsSdkWalletConnect = require('./ProjectSettingsSdkWalletConnect.cjs');
var SdkView = require('./SdkView.cjs');

/* tslint:disable */
function ProjectSettingsSdkFromJSON(json) {
    return ProjectSettingsSdkFromJSONTyped(json);
}
function ProjectSettingsSdkFromJSONTyped(json, ignoreDiscriminator) {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        'nameService': !runtime.exists(json, 'nameService') ? undefined : NameServiceSdkSettings.NameServiceSdkSettingsFromJSON(json['nameService']),
        'featureFlags': !runtime.exists(json, 'featureFlags') ? undefined : FeatureFlags.FeatureFlagsFromJSON(json['featureFlags']),
        'emailSignIn': !runtime.exists(json, 'emailSignIn') ? undefined : ProjectSettingsSdkEmailSignIn.ProjectSettingsSdkEmailSignInFromJSON(json['emailSignIn']),
        'socialSignIn': !runtime.exists(json, 'socialSignIn') ? undefined : ProjectSettingsSdkSocialSignIn.ProjectSettingsSdkSocialSignInFromJSON(json['socialSignIn']),
        'multiWallet': !runtime.exists(json, 'multiWallet') ? undefined : json['multiWallet'],
        'multiWalletUnlinkDisabled': !runtime.exists(json, 'multiWalletUnlinkDisabled') ? undefined : json['multiWalletUnlinkDisabled'],
        'mobile': !runtime.exists(json, 'mobile') ? undefined : MobileSettings.MobileSettingsFromJSON(json['mobile']),
        'confirmWalletTransfers': !runtime.exists(json, 'confirmWalletTransfers') ? undefined : json['confirmWalletTransfers'],
        'onrampFunding': !runtime.exists(json, 'onrampFunding') ? undefined : json['onrampFunding'],
        'passkeyEmbeddedWalletEnabled': !runtime.exists(json, 'passkeyEmbeddedWalletEnabled') ? undefined : json['passkeyEmbeddedWalletEnabled'],
        'automaticEmbeddedWalletCreation': !runtime.exists(json, 'automaticEmbeddedWalletCreation') ? undefined : json['automaticEmbeddedWalletCreation'],
        'passkeyEmbeddedWalletRecoveryEnabled': !runtime.exists(json, 'passkeyEmbeddedWalletRecoveryEnabled') ? undefined : json['passkeyEmbeddedWalletRecoveryEnabled'],
        'embeddedWalletSecurityMethods': !runtime.exists(json, 'embeddedWalletSecurityMethods') ? undefined : (json['embeddedWalletSecurityMethods'].map(EmbeddedWalletSecurityMethod.EmbeddedWalletSecurityMethodFromJSON)),
        'embeddedWallets': !runtime.exists(json, 'embeddedWallets') ? undefined : ProjectSettingsSdkEmbeddedWallets.ProjectSettingsSdkEmbeddedWalletsFromJSON(json['embeddedWallets']),
        'waas': !runtime.exists(json, 'waas') ? undefined : ProjectSettingsSdkWaas.ProjectSettingsSdkWaasFromJSON(json['waas']),
        'walletConnect': !runtime.exists(json, 'walletConnect') ? undefined : ProjectSettingsSdkWalletConnect.ProjectSettingsSdkWalletConnectFromJSON(json['walletConnect']),
        'confirmEmailProviderForVerify': !runtime.exists(json, 'confirmEmailProviderForVerify') ? undefined : json['confirmEmailProviderForVerify'],
        'displayDynamicMessaging': !runtime.exists(json, 'displayDynamicMessaging') ? undefined : json['displayDynamicMessaging'],
        'hideNetworkInDynamicWidget': !runtime.exists(json, 'hideNetworkInDynamicWidget') ? undefined : json['hideNetworkInDynamicWidget'],
        'preventOrphanedAccounts': !runtime.exists(json, 'preventOrphanedAccounts') ? undefined : json['preventOrphanedAccounts'],
        'views': !runtime.exists(json, 'views') ? undefined : (json['views'].map(SdkView.SdkViewFromJSON)),
        'accountAbstraction': !runtime.exists(json, 'accountAbstraction') ? undefined : ProjectSettingsSdkAccountAbstraction.ProjectSettingsSdkAccountAbstractionFromJSON(json['accountAbstraction']),
        'blockEmailSubaddresses': !runtime.exists(json, 'blockEmailSubaddresses') ? undefined : json['blockEmailSubaddresses'],
        'enableMultiAsset': !runtime.exists(json, 'enableMultiAsset') ? undefined : json['enableMultiAsset'],
        'showFiat': !runtime.exists(json, 'showFiat') ? undefined : json['showFiat'],
        'disabledWalletConnectors': !runtime.exists(json, 'disabledWalletConnectors') ? undefined : json['disabledWalletConnectors'],
        'funding': !runtime.exists(json, 'funding') ? undefined : Funding.FundingFromJSON(json['funding']),
    };
}
function ProjectSettingsSdkToJSON(value) {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        'nameService': NameServiceSdkSettings.NameServiceSdkSettingsToJSON(value.nameService),
        'featureFlags': FeatureFlags.FeatureFlagsToJSON(value.featureFlags),
        'emailSignIn': ProjectSettingsSdkEmailSignIn.ProjectSettingsSdkEmailSignInToJSON(value.emailSignIn),
        'socialSignIn': ProjectSettingsSdkSocialSignIn.ProjectSettingsSdkSocialSignInToJSON(value.socialSignIn),
        'multiWallet': value.multiWallet,
        'multiWalletUnlinkDisabled': value.multiWalletUnlinkDisabled,
        'mobile': MobileSettings.MobileSettingsToJSON(value.mobile),
        'confirmWalletTransfers': value.confirmWalletTransfers,
        'onrampFunding': value.onrampFunding,
        'passkeyEmbeddedWalletEnabled': value.passkeyEmbeddedWalletEnabled,
        'automaticEmbeddedWalletCreation': value.automaticEmbeddedWalletCreation,
        'passkeyEmbeddedWalletRecoveryEnabled': value.passkeyEmbeddedWalletRecoveryEnabled,
        'embeddedWalletSecurityMethods': value.embeddedWalletSecurityMethods === undefined ? undefined : (value.embeddedWalletSecurityMethods.map(EmbeddedWalletSecurityMethod.EmbeddedWalletSecurityMethodToJSON)),
        'embeddedWallets': ProjectSettingsSdkEmbeddedWallets.ProjectSettingsSdkEmbeddedWalletsToJSON(value.embeddedWallets),
        'waas': ProjectSettingsSdkWaas.ProjectSettingsSdkWaasToJSON(value.waas),
        'walletConnect': ProjectSettingsSdkWalletConnect.ProjectSettingsSdkWalletConnectToJSON(value.walletConnect),
        'confirmEmailProviderForVerify': value.confirmEmailProviderForVerify,
        'displayDynamicMessaging': value.displayDynamicMessaging,
        'hideNetworkInDynamicWidget': value.hideNetworkInDynamicWidget,
        'preventOrphanedAccounts': value.preventOrphanedAccounts,
        'views': value.views === undefined ? undefined : (value.views.map(SdkView.SdkViewToJSON)),
        'accountAbstraction': ProjectSettingsSdkAccountAbstraction.ProjectSettingsSdkAccountAbstractionToJSON(value.accountAbstraction),
        'blockEmailSubaddresses': value.blockEmailSubaddresses,
        'enableMultiAsset': value.enableMultiAsset,
        'showFiat': value.showFiat,
        'disabledWalletConnectors': value.disabledWalletConnectors,
        'funding': Funding.FundingToJSON(value.funding),
    };
}

exports.ProjectSettingsSdkFromJSON = ProjectSettingsSdkFromJSON;
exports.ProjectSettingsSdkFromJSONTyped = ProjectSettingsSdkFromJSONTyped;
exports.ProjectSettingsSdkToJSON = ProjectSettingsSdkToJSON;
