/**
 * Dashboard API
 * Dashboard API documentation
 *
 * The version of the OpenAPI document: 1.0.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { EmbeddedWalletSecurityMethod } from './EmbeddedWalletSecurityMethod';
import { FeatureFlags } from './FeatureFlags';
import { Funding } from './Funding';
import { MobileSettings } from './MobileSettings';
import { NameServiceSdkSettings } from './NameServiceSdkSettings';
import { ProjectSettingsSdkAccountAbstraction } from './ProjectSettingsSdkAccountAbstraction';
import { ProjectSettingsSdkEmailSignIn } from './ProjectSettingsSdkEmailSignIn';
import { ProjectSettingsSdkEmbeddedWallets } from './ProjectSettingsSdkEmbeddedWallets';
import { ProjectSettingsSdkSocialSignIn } from './ProjectSettingsSdkSocialSignIn';
import { ProjectSettingsSdkWaas } from './ProjectSettingsSdkWaas';
import { ProjectSettingsSdkWalletConnect } from './ProjectSettingsSdkWalletConnect';
import { SdkView } from './SdkView';
/**
 *
 * @export
 * @interface ProjectSettingsSdk
 */
export interface ProjectSettingsSdk {
    /**
     *
     * @type {NameServiceSdkSettings}
     * @memberof ProjectSettingsSdk
     */
    nameService?: NameServiceSdkSettings;
    /**
     *
     * @type {FeatureFlags}
     * @memberof ProjectSettingsSdk
     */
    featureFlags?: FeatureFlags;
    /**
     *
     * @type {ProjectSettingsSdkEmailSignIn}
     * @memberof ProjectSettingsSdk
     */
    emailSignIn?: ProjectSettingsSdkEmailSignIn;
    /**
     *
     * @type {ProjectSettingsSdkSocialSignIn}
     * @memberof ProjectSettingsSdk
     */
    socialSignIn?: ProjectSettingsSdkSocialSignIn;
    /**
     *
     * @type {boolean}
     * @memberof ProjectSettingsSdk
     */
    multiWallet?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof ProjectSettingsSdk
     */
    multiWalletUnlinkDisabled?: boolean;
    /**
     *
     * @type {MobileSettings}
     * @memberof ProjectSettingsSdk
     */
    mobile?: MobileSettings;
    /**
     *
     * @type {boolean}
     * @memberof ProjectSettingsSdk
     */
    confirmWalletTransfers?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof ProjectSettingsSdk
     */
    onrampFunding?: boolean;
    /**
     * passkeyEmbeddedWalletEnabled is deprecated as of v0.19. Please enable embedded wallets using the provider API.
     * @type {boolean}
     * @memberof ProjectSettingsSdk
     */
    passkeyEmbeddedWalletEnabled?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof ProjectSettingsSdk
     */
    automaticEmbeddedWalletCreation?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof ProjectSettingsSdk
     */
    passkeyEmbeddedWalletRecoveryEnabled?: boolean;
    /**
     * Embedded wallet authenticator security methods required upon creation of the embedded wallet at onboarding
     * @type {Array<EmbeddedWalletSecurityMethod>}
     * @memberof ProjectSettingsSdk
     */
    embeddedWalletSecurityMethods?: Array<EmbeddedWalletSecurityMethod>;
    /**
     *
     * @type {ProjectSettingsSdkEmbeddedWallets}
     * @memberof ProjectSettingsSdk
     */
    embeddedWallets?: ProjectSettingsSdkEmbeddedWallets;
    /**
     *
     * @type {ProjectSettingsSdkWaas}
     * @memberof ProjectSettingsSdk
     */
    waas?: ProjectSettingsSdkWaas;
    /**
     *
     * @type {ProjectSettingsSdkWalletConnect}
     * @memberof ProjectSettingsSdk
     */
    walletConnect?: ProjectSettingsSdkWalletConnect;
    /**
     *
     * @type {boolean}
     * @memberof ProjectSettingsSdk
     */
    confirmEmailProviderForVerify?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof ProjectSettingsSdk
     */
    displayDynamicMessaging?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof ProjectSettingsSdk
     */
    hideNetworkInDynamicWidget?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof ProjectSettingsSdk
     */
    preventOrphanedAccounts?: boolean;
    /**
     * Configs used to create the views in the sdk.
     * @type {Array<SdkView>}
     * @memberof ProjectSettingsSdk
     */
    views?: Array<SdkView>;
    /**
     *
     * @type {ProjectSettingsSdkAccountAbstraction}
     * @memberof ProjectSettingsSdk
     */
    accountAbstraction?: ProjectSettingsSdkAccountAbstraction;
    /**
     *
     * @type {boolean}
     * @memberof ProjectSettingsSdk
     */
    blockEmailSubaddresses?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof ProjectSettingsSdk
     */
    enableMultiAsset?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof ProjectSettingsSdk
     */
    showFiat?: boolean;
    /**
     * Ids of wallet connectors to filter out from available options in the sdk
     * @type {Array<string>}
     * @memberof ProjectSettingsSdk
     */
    disabledWalletConnectors?: Array<string>;
    /**
     *
     * @type {Funding}
     * @memberof ProjectSettingsSdk
     */
    funding?: Funding;
}
export declare function ProjectSettingsSdkFromJSON(json: any): ProjectSettingsSdk;
export declare function ProjectSettingsSdkFromJSONTyped(json: any, ignoreDiscriminator: boolean): ProjectSettingsSdk;
export declare function ProjectSettingsSdkToJSON(value?: ProjectSettingsSdk | null): any;
