import { exists } from '../runtime.js';
import { EmbeddedWalletSecurityMethodFromJSON, EmbeddedWalletSecurityMethodToJSON } from './EmbeddedWalletSecurityMethod.js';
import { FeatureFlagsFromJSON, FeatureFlagsToJSON } from './FeatureFlags.js';
import { FundingFromJSON, FundingToJSON } from './Funding.js';
import { MobileSettingsFromJSON, MobileSettingsToJSON } from './MobileSettings.js';
import { NameServiceSdkSettingsFromJSON, NameServiceSdkSettingsToJSON } from './NameServiceSdkSettings.js';
import { ProjectSettingsSdkAccountAbstractionFromJSON, ProjectSettingsSdkAccountAbstractionToJSON } from './ProjectSettingsSdkAccountAbstraction.js';
import { ProjectSettingsSdkEmailSignInFromJSON, ProjectSettingsSdkEmailSignInToJSON } from './ProjectSettingsSdkEmailSignIn.js';
import { ProjectSettingsSdkEmbeddedWalletsFromJSON, ProjectSettingsSdkEmbeddedWalletsToJSON } from './ProjectSettingsSdkEmbeddedWallets.js';
import { ProjectSettingsSdkSocialSignInFromJSON, ProjectSettingsSdkSocialSignInToJSON } from './ProjectSettingsSdkSocialSignIn.js';
import { ProjectSettingsSdkWaasFromJSON, ProjectSettingsSdkWaasToJSON } from './ProjectSettingsSdkWaas.js';
import { ProjectSettingsSdkWalletConnectFromJSON, ProjectSettingsSdkWalletConnectToJSON } from './ProjectSettingsSdkWalletConnect.js';
import { SdkViewFromJSON, SdkViewToJSON } from './SdkView.js';

/* tslint:disable */
function ProjectSettingsSdkFromJSON(json) {
    return ProjectSettingsSdkFromJSONTyped(json);
}
function ProjectSettingsSdkFromJSONTyped(json, ignoreDiscriminator) {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        'nameService': !exists(json, 'nameService') ? undefined : NameServiceSdkSettingsFromJSON(json['nameService']),
        'featureFlags': !exists(json, 'featureFlags') ? undefined : FeatureFlagsFromJSON(json['featureFlags']),
        'emailSignIn': !exists(json, 'emailSignIn') ? undefined : ProjectSettingsSdkEmailSignInFromJSON(json['emailSignIn']),
        'socialSignIn': !exists(json, 'socialSignIn') ? undefined : ProjectSettingsSdkSocialSignInFromJSON(json['socialSignIn']),
        'multiWallet': !exists(json, 'multiWallet') ? undefined : json['multiWallet'],
        'multiWalletUnlinkDisabled': !exists(json, 'multiWalletUnlinkDisabled') ? undefined : json['multiWalletUnlinkDisabled'],
        'mobile': !exists(json, 'mobile') ? undefined : MobileSettingsFromJSON(json['mobile']),
        'confirmWalletTransfers': !exists(json, 'confirmWalletTransfers') ? undefined : json['confirmWalletTransfers'],
        'onrampFunding': !exists(json, 'onrampFunding') ? undefined : json['onrampFunding'],
        'passkeyEmbeddedWalletEnabled': !exists(json, 'passkeyEmbeddedWalletEnabled') ? undefined : json['passkeyEmbeddedWalletEnabled'],
        'automaticEmbeddedWalletCreation': !exists(json, 'automaticEmbeddedWalletCreation') ? undefined : json['automaticEmbeddedWalletCreation'],
        'passkeyEmbeddedWalletRecoveryEnabled': !exists(json, 'passkeyEmbeddedWalletRecoveryEnabled') ? undefined : json['passkeyEmbeddedWalletRecoveryEnabled'],
        'embeddedWalletSecurityMethods': !exists(json, 'embeddedWalletSecurityMethods') ? undefined : (json['embeddedWalletSecurityMethods'].map(EmbeddedWalletSecurityMethodFromJSON)),
        'embeddedWallets': !exists(json, 'embeddedWallets') ? undefined : ProjectSettingsSdkEmbeddedWalletsFromJSON(json['embeddedWallets']),
        'waas': !exists(json, 'waas') ? undefined : ProjectSettingsSdkWaasFromJSON(json['waas']),
        'walletConnect': !exists(json, 'walletConnect') ? undefined : ProjectSettingsSdkWalletConnectFromJSON(json['walletConnect']),
        'confirmEmailProviderForVerify': !exists(json, 'confirmEmailProviderForVerify') ? undefined : json['confirmEmailProviderForVerify'],
        'displayDynamicMessaging': !exists(json, 'displayDynamicMessaging') ? undefined : json['displayDynamicMessaging'],
        'hideNetworkInDynamicWidget': !exists(json, 'hideNetworkInDynamicWidget') ? undefined : json['hideNetworkInDynamicWidget'],
        'preventOrphanedAccounts': !exists(json, 'preventOrphanedAccounts') ? undefined : json['preventOrphanedAccounts'],
        'views': !exists(json, 'views') ? undefined : (json['views'].map(SdkViewFromJSON)),
        'accountAbstraction': !exists(json, 'accountAbstraction') ? undefined : ProjectSettingsSdkAccountAbstractionFromJSON(json['accountAbstraction']),
        'blockEmailSubaddresses': !exists(json, 'blockEmailSubaddresses') ? undefined : json['blockEmailSubaddresses'],
        'enableMultiAsset': !exists(json, 'enableMultiAsset') ? undefined : json['enableMultiAsset'],
        'showFiat': !exists(json, 'showFiat') ? undefined : json['showFiat'],
        'disabledWalletConnectors': !exists(json, 'disabledWalletConnectors') ? undefined : json['disabledWalletConnectors'],
        'funding': !exists(json, 'funding') ? undefined : FundingFromJSON(json['funding']),
    };
}
function ProjectSettingsSdkToJSON(value) {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        'nameService': NameServiceSdkSettingsToJSON(value.nameService),
        'featureFlags': FeatureFlagsToJSON(value.featureFlags),
        'emailSignIn': ProjectSettingsSdkEmailSignInToJSON(value.emailSignIn),
        'socialSignIn': ProjectSettingsSdkSocialSignInToJSON(value.socialSignIn),
        'multiWallet': value.multiWallet,
        'multiWalletUnlinkDisabled': value.multiWalletUnlinkDisabled,
        'mobile': MobileSettingsToJSON(value.mobile),
        'confirmWalletTransfers': value.confirmWalletTransfers,
        'onrampFunding': value.onrampFunding,
        'passkeyEmbeddedWalletEnabled': value.passkeyEmbeddedWalletEnabled,
        'automaticEmbeddedWalletCreation': value.automaticEmbeddedWalletCreation,
        'passkeyEmbeddedWalletRecoveryEnabled': value.passkeyEmbeddedWalletRecoveryEnabled,
        'embeddedWalletSecurityMethods': value.embeddedWalletSecurityMethods === undefined ? undefined : (value.embeddedWalletSecurityMethods.map(EmbeddedWalletSecurityMethodToJSON)),
        'embeddedWallets': ProjectSettingsSdkEmbeddedWalletsToJSON(value.embeddedWallets),
        'waas': ProjectSettingsSdkWaasToJSON(value.waas),
        'walletConnect': ProjectSettingsSdkWalletConnectToJSON(value.walletConnect),
        'confirmEmailProviderForVerify': value.confirmEmailProviderForVerify,
        'displayDynamicMessaging': value.displayDynamicMessaging,
        'hideNetworkInDynamicWidget': value.hideNetworkInDynamicWidget,
        'preventOrphanedAccounts': value.preventOrphanedAccounts,
        'views': value.views === undefined ? undefined : (value.views.map(SdkViewToJSON)),
        'accountAbstraction': ProjectSettingsSdkAccountAbstractionToJSON(value.accountAbstraction),
        'blockEmailSubaddresses': value.blockEmailSubaddresses,
        'enableMultiAsset': value.enableMultiAsset,
        'showFiat': value.showFiat,
        'disabledWalletConnectors': value.disabledWalletConnectors,
        'funding': FundingToJSON(value.funding),
    };
}

export { ProjectSettingsSdkFromJSON, ProjectSettingsSdkFromJSONTyped, ProjectSettingsSdkToJSON };
