/**
 * Dashboard API
 * Dashboard API documentation
 *
 * The version of the OpenAPI document: 1.0.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { EcdsaValidatorOptions } from './EcdsaValidatorOptions';
import { ProviderAgreement } from './ProviderAgreement';
import { ProviderEntryPointVersionEnum } from './ProviderEntryPointVersionEnum';
import { ProviderEnum } from './ProviderEnum';
import { ProviderKernelVersionEnum } from './ProviderKernelVersionEnum';
import { ProviderMultichainAccountAbstractionProviders } from './ProviderMultichainAccountAbstractionProviders';
import { SmsCountryCode } from './SmsCountryCode';
import { ZerodevBundlerProvider } from './ZerodevBundlerProvider';
/**
 *
 * @export
 * @interface Provider
 */
export interface Provider {
    /**
     *
     * @type {string}
     * @memberof Provider
     */
    id?: string;
    /**
     *
     * @type {ProviderEnum}
     * @memberof Provider
     */
    provider: ProviderEnum;
    /**
     *
     * @type {Date}
     * @memberof Provider
     */
    enabledAt?: Date | null;
    /**
     * Standard OAuth client ID. For more information, see: https://www.oauth.com/oauth2-servers/client-registration/client-id-secret/
     * @type {string}
     * @memberof Provider
     */
    clientId?: string;
    /**
     * Standard OAuth client secret key. For more information, see: https://www.oauth.com/oauth2-servers/client-registration/client-id-secret/
     * @type {string}
     * @memberof Provider
     */
    clientSecret?: string;
    /**
     * Some providers require additional information, typically called a project ID or site ID
     * @type {string}
     * @memberof Provider
     */
    providerProjectId?: string;
    /**
     * If the provider supports Oauth 2, this field will contain the URL of the login and authorization where a user can authorize the applciation to gain access to their provider account
     * @type {string}
     * @memberof Provider
     */
    authorizationUrl?: string;
    /**
     * If the provider supports Oauth 2, this field will contain the URL of redirect or callback URL which will need to be provided to the Oauth provider to properly configure your App tp talk with Dynamic
     * @type {string}
     * @memberof Provider
     */
    redirectUrl?: string;
    /**
     * DEPRECATED: Use defaultChain. The default chain id the SDK should use
     * @type {number}
     * @memberof Provider
     */
    defaultChainId?: number;
    /**
     * CAIP-2 Chain ID (https://github.com/ChainAgnostic/CAIPs/blob/main/CAIPs/caip-2.md)
     * @type {string}
     * @memberof Provider
     */
    defaultChain?: string;
    /**
     * The url of the site to go to export wallets private keys
     * @type {string}
     * @memberof Provider
     */
    keyExportUrl?: string;
    /**
     *
     * @type {ProviderAgreement}
     * @memberof Provider
     */
    termsAcceptedByUser?: ProviderAgreement;
    /**
     * Optional custom space-delimited list of Oauth scopes for the social provider
     * @type {string}
     * @memberof Provider
     */
    scopes?: string;
    /**
     * Base auth url for oauth provider
     * @type {string}
     * @memberof Provider
     */
    baseAuthUrl?: string;
    /**
     * Key ID required for Apple Oauth2 applications. This is the identifier for a private key.
     * @type {string}
     * @memberof Provider
     */
    appleKeyId?: string;
    /**
     * Team ID required for Apple Oauth2 applications. This is associated with the Apple developer membership account.
     * @type {string}
     * @memberof Provider
     */
    appleTeamId?: string;
    /**
     * Shopify store required for Shopify Oauth2 applications.
     * @type {string}
     * @memberof Provider
     */
    shopifyStore?: string;
    /**
     * Required to initialize Twilio provider.
     * @type {string}
     * @memberof Provider
     */
    accountSid?: string;
    /**
     * Required to initialize Twilio provider. Phone number used to send SMS messages.
     * @type {string}
     * @memberof Provider
     */
    twilioNumber?: string;
    /**
     *
     * @type {Array<SmsCountryCode>}
     * @memberof Provider
     */
    enabledCountries?: Array<SmsCountryCode>;
    /**
     *
     * @type {ProviderEntryPointVersionEnum}
     * @memberof Provider
     */
    entryPointVersion?: ProviderEntryPointVersionEnum;
    /**
     *
     * @type {ProviderKernelVersionEnum}
     * @memberof Provider
     */
    kernelVersion?: ProviderKernelVersionEnum;
    /**
     * The factory address for the provider (currently only used for zksync)
     * @type {string}
     * @memberof Provider
     */
    factoryAddress?: string;
    /**
     * The paymaster address for the provider (currently only used for zksync)
     * @type {string}
     * @memberof Provider
     */
    paymasterAddress?: string;
    /**
     * The passkey address for the provider (currently only used for zksync)
     * @type {string}
     * @memberof Provider
     */
    passkeyAddress?: string;
    /**
     * The session address for the provider (currently only used for zksync)
     * @type {string}
     * @memberof Provider
     */
    sessionAddress?: string;
    /**
     * The salt for the provider address generation (currently only used for zksync)
     * @type {string}
     * @memberof Provider
     */
    salt?: string;
    /**
     *
     * @type {Array<ProviderMultichainAccountAbstractionProviders>}
     * @memberof Provider
     */
    multichainAccountAbstractionProviders?: Array<ProviderMultichainAccountAbstractionProviders>;
    /**
     *
     * @type {EcdsaValidatorOptions}
     * @memberof Provider
     */
    ecdsaProviderType?: EcdsaValidatorOptions;
    /**
     *
     * @type {boolean}
     * @memberof Provider
     */
    createNewAccounts?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof Provider
     */
    enableKernelV3Migration?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof Provider
     */
    enableEIP7702?: boolean;
    /**
     *
     * @type {ZerodevBundlerProvider}
     * @memberof Provider
     */
    zerodevBundlerProvider?: ZerodevBundlerProvider;
    /**
     *
     * @type {string}
     * @memberof Provider
     */
    zerodevBundlerRpcUrl?: string;
    /**
     *
     * @type {string}
     * @memberof Provider
     */
    zerodevPaymasterRpcUrl?: string;
    /**
     *
     * @type {string}
     * @memberof Provider
     */
    zerodevKernelDelegationAddress?: string;
}
export declare function ProviderFromJSON(json: any): Provider;
export declare function ProviderFromJSONTyped(json: any, ignoreDiscriminator: boolean): Provider;
export declare function ProviderToJSON(value?: Provider | null): any;
