/**
 * Dashboard API
 * Dashboard API documentation
 *
 * The version of the OpenAPI document: 1.0.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { EcdsaValidatorOptions } from './EcdsaValidatorOptions';
import { EmbeddedWalletVersionEnum } from './EmbeddedWalletVersionEnum';
import { HardwareWalletEnum } from './HardwareWalletEnum';
import { PasswordSourceTypeEnum } from './PasswordSourceTypeEnum';
import { ProviderEntryPointVersionEnum } from './ProviderEntryPointVersionEnum';
import { ProviderKernelVersionEnum } from './ProviderKernelVersionEnum';
import { ThresholdSignatureScheme } from './ThresholdSignatureScheme';
import { WalletKeyShareInfo } from './WalletKeyShareInfo';
/**
 *
 * @export
 * @interface WalletProperties
 */
export interface WalletProperties {
    /**
     *
     * @type {string}
     * @memberof WalletProperties
     */
    turnkeySubOrganizationId?: string;
    /**
     *
     * @type {string}
     * @memberof WalletProperties
     */
    turnkeyPrivateKeyId?: string;
    /**
     *
     * @type {string}
     * @memberof WalletProperties
     */
    turnkeyHDWalletId?: string;
    /**
     * Whether or not the wallet has an authenticator (passkey, api key, etc) attached to it.
     * @type {boolean}
     * @memberof WalletProperties
     */
    isAuthenticatorAttached?: boolean;
    /**
     *
     * @type {string}
     * @memberof WalletProperties
     */
    turnkeyUserId?: string;
    /**
     *
     * @type {boolean}
     * @memberof WalletProperties
     */
    isSessionKeyCompatible?: boolean;
    /**
     *
     * @type {EmbeddedWalletVersionEnum}
     * @memberof WalletProperties
     */
    version?: EmbeddedWalletVersionEnum;
    /**
     *
     * @type {EcdsaValidatorOptions}
     * @memberof WalletProperties
     */
    ecdsaProviderType?: EcdsaValidatorOptions;
    /**
     *
     * @type {ProviderEntryPointVersionEnum}
     * @memberof WalletProperties
     */
    entryPointVersion?: ProviderEntryPointVersionEnum;
    /**
     *
     * @type {ProviderKernelVersionEnum}
     * @memberof WalletProperties
     */
    kernelVersion?: ProviderKernelVersionEnum;
    /**
     *
     * @type {HardwareWalletEnum}
     * @memberof WalletProperties
     */
    hardwareWallet?: HardwareWalletEnum;
    /**
     * Dynamic pregenerated this wallet and stored the passcode
     * @type {boolean}
     * @memberof WalletProperties
     */
    claimed?: boolean;
    /**
     *
     * @type {PasswordSourceTypeEnum}
     * @memberof WalletProperties
     */
    source?: PasswordSourceTypeEnum;
    /**
     *
     * @type {Array<WalletKeyShareInfo>}
     * @memberof WalletProperties
     */
    keyShares?: Array<WalletKeyShareInfo>;
    /**
     *
     * @type {ThresholdSignatureScheme}
     * @memberof WalletProperties
     */
    thresholdSignatureScheme?: ThresholdSignatureScheme;
    /**
     * The derivation path for the wallet
     * @type {string}
     * @memberof WalletProperties
     */
    derivationPath?: string;
}
export declare function WalletPropertiesFromJSON(json: any): WalletProperties;
export declare function WalletPropertiesFromJSONTyped(json: any, ignoreDiscriminator: boolean): WalletProperties;
export declare function WalletPropertiesToJSON(value?: WalletProperties | null): any;
